/***************************************************************
 * Name:      dxdefs.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef DXDEFS_H
#define DXDEFS_H

#include <wx/defs.h>

#define SIZER_SPACE 10
#define INFINITY_DATE wxDateTime(31, wxDateTime::Dec, 2100)

enum
{
    ID_TASK_RESTORE = wxID_HIGHEST+1,
    ID_TASK_PREFERENCES,
    ID_TASK_QUIT,
    ID_TASK_EVENTS,
    ID_MENU_NEWEVENT,
    ID_MENU_REMINDEROFF,
    ID_MENU_EDITEVENT,
    ID_MENU_EDITDATE,
    ID_MENU_ADVANCE,
    ID_MENU_REMOVEEVENT,
    ID_MENU_LOADDB,
    ID_MENU_SAVEDB,
    ID_MENU_TEST,
    ID_MENU_HOLIDAYS,
    ID_MENU_SHOWEVENTS,
    ID_MENU_SHOWNOTDELETE,
    ID_MENU_REMOVEHIDDEN,
    ID_MENU_REMOVEALLEVENTS,
    ID_MENU_FULLSCREEN,
    ID_MENU_HIGHLIGHTEVENT1,
    ID_MENU_HIGHLIGHTEVENT2,
    ID_MENU_HIGHLIGHTEVENT3,
    ID_MENU_HIGHLIGHTEVENT4,
    ID_MENU_HIGHLIGHTEVENT5,
    ID_MENU_REMOVEHIGHLIGHT,
    ID_MENU_CLEARHIGHLIGHT,
    ID_MENU_ALWAYSSHOW,
    ID_MENU_CALENDARFOCUS,
    ID_MENU_EVENTLISTFOCUS,
    ID_MENU_CHECKVERSION,
    ID_MENU_SUSPENDEVENT,
    ID_MENU_RESUMEEVENT,
    ID_MENU_IMPORTCONFIG,
    ID_MENU_EXPORTCONFIG,
    ID_BTN_NEWEVENT,
    ID_BTN_EDITEVENT,
    ID_BTN_COPYEVENT,
    ID_BTN_REMOVEEVENT,
    ID_BTN_HIDEEVENT,
    ID_BTN_SHOWEVENTS,
    ID_BTN_CLEARHIDDEN,
    ID_BTN_FILTER,
    ID_BTN_FILTERCLEAR,
    ID_RIGHT_SHOWEVENTS,
    ID_RIGHT_HIDEEVENTS,
    ID_EVENTLIST,
    ID_CALENDAR,
    ID_NOTE,
    ID_DESCRIPTION,
    ID_TIMESELECT,
    ID_AHEAD,
    ID_CURRENT,
    ID_PRESET,
    ID_EVENTTIMER,
    ID_REMINDERCHOICE,
    ID_REMINDEREDIT,
    ID_RECURRENCECHOICE,
    ID_RECURRENCEEDIT,
    ID_UNTILCHOICE,
    ID_UNTILEDIT,
    ID_BTN_TODAY,
    ID_BTN_DEFAULTCOLORS,
    ID_BTN_DEFAULTEVENTS,
    ID_BTN_COPYTO,
    ID_BTN_FONT,
    ID_BTN_EVENTOK,
    ID_BTN_EVENTLATER,
    ID_DATE_SELECT,
    ID_DATE_CALENDAR,
    ID_TIME_SELECT,
    ID_TIME_HOURS,
    ID_TIME_MINUTES,
    ID_TIME_SECONDS,
    ID_TIME_AMPM,
    ID_DATE_CHOICE,
    ID_TIME_CHOICE,
    ID_SERVER,
    ID_SOCKET,
    ID_PHLIST,
    ID_PHNEW,
    ID_PHEDIT,
    ID_PHREMOVE,
    ID_PHCOMBO,
    ID_PHLOAD,
    ID_PHREMIND,
    ID_POPUP_CALENDAR,
    ID_DAYLIST,
    ID_DAYNEW,
    ID_DAYEDIT,
    ID_DAYREMOVE,
    ID_HTML
};

#endif // DXDEFS_H
